<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: documentation_system_docs.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include INFUSIONS."documentation_system/includes/inc.php";

if (!checkrights("DOCS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

//if ($settings['tinymce_enabled'] == 1) {
//	echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
//} else {
	require_once DOC_SYS_INC."html_buttons_include.php";
//}

add_to_title($locale['global_200'].$locale['doc500']);

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['doc501'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['doc503'];
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['doc504'];
	} elseif ($_GET['status'] == "err") {
		$message = $req.$locale['doc203'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div>\n</div>\n"; }
}

include INFUSIONS."documentation_system/includes/admin_nav.php";
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) { $rowstart = $_GET['rowstart']; } else { $rowstart = 0; }

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['doc_id']) && isnum($_GET['doc_id']))) {
	$result = dbquery("DELETE FROM ".DB_DOC_DOCS." WHERE doc_id='".$_GET['doc_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	} else {
	if (isset($_POST['save_doc'])) {
		$doc_user = stripinput($userdata['user_id']);
		$doc_book = stripinput($_POST['doc_book']);
		$doc_index = stripinput($_POST['doc_index']);
		$doc_snippet = addslash($_POST['doc_snippet']);
		$doc_text = addslash($_POST['doc_text']);
		$doc_tags = stripinput(strtolower($_POST['doc_tags']));
		$doc_version = stripinput($_POST['doc_version']);
		
		if ($doc_snippet && $doc_text && $doc_index) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['doc_id']) && isnum($_GET['doc_id']))) {
			    $doc_update_user = stripinput($userdata['user_id']);
				$result = dbquery("UPDATE ".DB_DOC_DOCS." SET doc_update_user='$doc_update_user', doc_book='$doc_book', doc_index='$doc_index', doc_snippet='$doc_snippet', doc_text='$doc_text', doc_updatestamp='".time()."', doc_tags='$doc_tags', doc_version='$doc_version'  WHERE doc_id='".$_GET['doc_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_DOC_DOCS." (doc_user, doc_book, doc_index, doc_snippet, doc_text, doc_datestamp, doc_tags, doc_version) 
				VALUES ('$doc_user', '$doc_book', '$doc_index', '$doc_snippet', '$doc_text', '".time()."', '$doc_tags', '$doc_version')");
			
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&status=err");
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['doc_id']) && isnum($_GET['doc_id']))) {
		$result = dbquery("SELECT * FROM ".DB_DOC_DOCS." WHERE doc_id='".$_GET['doc_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$doc_user = $data['doc_user'];
			$doc_book = $data['doc_book'];
			$doc_index = $data['doc_index'];
			$doc_snippet = stripslashes($data['doc_snippet']);
			$doc_text = stripslashes($data['doc_text']);
			$doc_datestamp = $data['doc_datestamp'];
			$doc_tags = $data['doc_tags'];
			$doc_version = $data['doc_version'];

			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;doc_id=".$data['doc_id'];
			opentable($locale['doc505']);
		} else {
			 redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$doc_id = "";
		$doc_user = "";
		$doc_book = "";
		$doc_index = "";
		$doc_snippet = "";
		$doc_text = "";
		$doc_datestamp = "";
		$doc_update_user = "";
		$doc_updatestamp = "";
		$doc_tags = "";
		$doc_version = "";

		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['doc519']);
	}

	echo "<form name='inputform' method='post' action='$formaction'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='600' class='center'>\n<tr>\n";
	
	echo "<td width='100' class='tbl' style='white-space:nowrap'>".$locale['doc515'].$locale['doc520'].":</td>\n";
	echo "<td class='tbl'>\n";
		$result = dbquery("SELECT book_id, book_name FROM ".DB_DOC_BOOK);
		if (dbrows($result)) {
		$disable = "";
		echo "<select name='doc_book' class='textbox'>\n";
		while ($data = dbarray($result)) {	
	 echo "<option value='".$data['book_id']."'".($doc_book == $data['book_id'] ? " selected='selected'" : "").">".$data['book_name']."</option>\n"; 
	   }
	   echo "</select>\n";
	   echo "&nbsp;<i>".$locale['doc544']."</i>";
	 } else { echo $locale['doc522']; $disable = "disabled";
   }

	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl' style='white-space:nowrap'>".$req." ".$locale['doc515'].$locale['doc526'].":</td>\n";
	echo "<td class='tbl'>\n";

	$result = dbquery("SELECT 
                             b.book_id, 
                             b.book_name,  
                             i.index_id, 
                             i.index_name 
                             FROM ".DB_DOC_BOOK." b 
                             LEFT JOIN ".DB_DOC_INDEX." i 
                             ON b.book_id = i.index_book
                             WHERE i.index_book = b.book_id 
                             ORDER BY b.book_id, i.index_order
                             ASC
                             ");
	
		if (dbrows($result)) {
		$disable = "";
		echo "<select name='doc_index' class='textbox'>\n<option value=''>--------".$locale['doc515']."--------</option>\n";
		while ($data = dbarray($result)) {
		$check4content = dbarray(dbquery("SELECT doc_text FROM ".DB_DOC_DOCS." WHERE doc_index='".$data['index_id']."'"));
		if (!$check4content['doc_text'] || (isset($_GET['action']) && $_GET['action'] == "edit")) {
	 echo "<option value='".$data['index_id']."'".($doc_index == $data['index_id'] ? " selected='selected'" : "").">".$data['book_name'].$locale['global_200'].$data['index_name']."</option>\n"; 
	        }
	     }
	   echo "</select>\n";
	 } else { echo $locale['doc510']; $disable = "disabled";
   }
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl' valign='top'>".$req." ".$locale['doc543'].":</td>\n";
	echo "<td class='tbl' valign='top'><textarea name='doc_snippet' cols='95' rows='4' class='textbox' style='width:98%'>".$doc_snippet."</textarea></td>\n";
	echo "</tr>\n";
//	if ($settings['tinymce_enabled'] != 1) {
	echo "<tr>\n<td align='center' class='tbl'></td>\n<td class='tbl'>".display_buttons("inputform", "doc_snippet", true, true, true, DOC_SYS_IMG)."</td>\n</tr>\n";
//		}
	echo "<tr>\n";
	echo "<td width='100' class='tbl' valign='top'>".$req." ".$locale['doc519'].":</td>\n";
	echo "<td class='tbl' valign='top'><textarea name='doc_text' cols='95' rows='10' class='textbox' style='width:98%'>".$doc_text."</textarea><br />\n</td>\n";
	echo "</tr>\n";
//	if ($settings['tinymce_enabled'] != 1) {
	echo "<tr>\n<td align='center' class='tbl'></td>\n<td class='tbl'>".display_buttons("inputform", "doc_text", true, true, true, DOC_SYS_IMG)."</td>\n</tr>\n";
//		}
	echo "<tr>\n";
	echo "<td class='tbl' width='100'>".$locale['doc200'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='doc_tags' value='".$doc_tags."' class='textbox' style='width:98%' /><br />\n";
	echo "<small>".$locale['doc553']."</small></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl' width='100'>".$locale['doc546'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='doc_version' value='".$doc_version."' class='textbox' style='width:50' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_doc' value='".$locale['doc509']."' class='button' $disable /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['doc012'].$locale['doc511']);
	$count_index = dbcount("(index_id)", DB_DOC_INDEX);
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n";
	$result = dbquery("SELECT * FROM ".DB_DOC_DOCS." INNER JOIN ".DB_DOC_INDEX." WHERE doc_index=index_id ORDER BY doc_book, index_order ASC LIMIT $rowstart,$aepp");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td class='tbl2'><strong>".$locale['doc520']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['doc512']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['doc521']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['doc528']."</strong></td>\n";
		echo "<td class='tbl2' align='center'><strong>".$locale['doc547']."</strong></td>\n";
		echo "<td class='tbl2' align='center'><strong>".$locale['doc020']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['doc517']."</strong></td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			$check_book = dbarray(dbquery("SELECT book_id, book_name FROM ".DB_DOC_BOOK." WHERE book_id = '".$data['doc_book']."'"));

			echo "<td class='$cell_color'>".trimlink($check_book['book_name'], 20)."</td>\n";
            echo "<td class='$cell_color' style='white-space:nowrap'><a target='_blank' href='".DOC_SYS."document.php?index_id=".$data['index_id']."'>".$data['index_name']."</a> v".$data['doc_version']."</td>\n";
            $check_user = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['doc_user']."'"));
			echo "<td class='$cell_color' style='white-space:nowrap'>".profile_link($data['doc_user'], $check_user['user_name'], $check_user['user_status']).$locale['global_200'].strftime($settings['shortdate'], $data['doc_datestamp']+($settings['timeoffset']*3600))."</td>";
            if ($data['doc_updatestamp']) {
            $check_editor = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['doc_update_user']."'"));
			echo "<td class='$cell_color' style='white-space:nowrap'>".profile_link($data['doc_update_user'], $check_editor['user_name'], $check_editor['user_status']).$locale['global_200'].strftime($settings['shortdate'], $data['doc_updatestamp']+($settings['timeoffset']*3600))."</td>"; }
			else { 
			echo "<td class='$cell_color' align='center'>".$locale['doc017']."</td>";
		}
			echo "<td align='center' class='$cell_color'>".$data['doc_views']."</td>\n";
			echo "<td align='center' class='$cell_color'>".dbcount("(fav_id)", DB_DOC_FAVS, "fav_doc='".$data['doc_id']."'")."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;doc_id=".$data['doc_id']."'>".$locale['doc505']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;doc_id=".$data['doc_id']."' onclick='return DeleteDocument();' />".$locale['doc506']."</a></td>\n";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['doc525']."</td></tr>\n</table>\n";
	}
	closetable();
		
		echo "<script type='text/javascript'>\n";
		echo "/* <![CDATA[ */\n";
		echo "function DeleteDocument() {\n";
		echo "return confirm('".$locale['doc502']."');\n}\n";
		echo "/* ]]>*/\n";
		echo "</script>\n";
}

if ($count_index > $aepp) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$aepp,$count_index,3,FUSION_SELF.$aidlink."&amp;")."</div>"; }

include DOC_SYS_INC."footer_include.php";
require_once THEMES."templates/footer.php";
?>