<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: documentation_system_cats.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."documentation_system/includes/inc.php";

if (!checkrights("DOCS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

add_to_title($locale['global_200'].$locale['doc500']);
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) { $rowstart = $_GET['rowstart']; } else { $rowstart = 0; }
if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['doc501'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['doc503'];
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['doc504'];
	} elseif ($_GET['status'] == "err") {
		$message = $req.$locale['doc203'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div>\n</div>\n"; }
}

include INFUSIONS."documentation_system/includes/admin_nav.php";

if (isset($_GET['action']) && isset($_GET['index_book']) && $_GET['action'] == "refresh") {
	$i = 1;
	$result = dbquery("SELECT index_id, index_order FROM ".DB_DOC_INDEX." WHERE index_book='".$_GET['index_book']."' ORDER BY index_book, index_order");
	while ($data = dbarray($result)) {
		$result2 = dbquery("UPDATE ".DB_DOC_INDEX." SET index_order='$i' WHERE index_id='".$data['index_id']."'");
		$i++;
	}
		redirect(FUSION_SELF.$aidlink);
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['index_id']) && isnum($_GET['index_id']))) {
	$result = dbquery("DELETE FROM ".DB_DOC_INDEX." WHERE index_id='".$_GET['index_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	} else {
	if (isset($_POST['save_cat'])) {
	    $index_book = stripinput($_POST['index_book']);
		$index_name = stripinput($_POST['index_name']);
		$index_order = stripinput($_POST['index_order']);
		
		if ($index_name && $index_order) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['index_id']) && isnum($_GET['index_id']))) {
				$result = dbquery("UPDATE ".DB_DOC_INDEX." SET index_book='$index_book', index_name='$index_name', index_order='$index_order' WHERE index_id='".$_GET['index_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_DOC_INDEX." (index_book, index_name, index_order) VALUES ('$index_book', '$index_name', '$index_order')");
			
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&status=err");
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['index_id']) && isnum($_GET['index_id']))) {
		$result = dbquery("SELECT * FROM ".DB_DOC_INDEX." WHERE index_id='".$_GET['index_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$index_book = $data['index_book'];
			$index_name = $data['index_name'];
			$index_order = $data['index_order'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;index_id=".$data['index_id'];
			opentable($locale['doc505']);
		} else {
			 redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$index_book = "";
		$index_name = "";
		$index_order = "";

		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['doc513']);
	}

	echo "<form name='inputform' method='post' action='$formaction'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='600' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['doc515'].$locale['doc520'].":</td>\n";
	echo "<td class='tbl'>\n";
		$result = dbquery("SELECT book_id, book_name FROM ".DB_DOC_BOOK);
		if (dbrows($result)) {
		$disable = "";
		echo "<select name='index_book' class='textbox'>\n";
		while ($data = dbarray($result)) {		
	 echo "<option value='".$data['book_id']."'".($index_book == $data['book_id'] ? " selected='selected'" : "").">".$data['book_name']."</option>\n"; 
	   }
	   echo "</select>\n";
	 } else { echo $locale['doc522']; $disable = "disabled";
   }
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$req." ".$locale['doc507']."</td>\n";
	echo "<td class='tbl'><input type='text' name='index_name' value='".$index_name."' class='textbox' style='width:300px;' />\n";
	echo $req." ".$locale['doc536'].": <input type='text' name='index_order' value='".$index_order."' class='textbox' style='width:30px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_cat' value='".$locale['doc509']."' class='button' $disable /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['doc511']);
	$count_book = dbcount("(book_id)", DB_DOC_BOOK);
	
	$result = dbquery("SELECT book_id, book_name FROM ".DB_DOC_BOOK." ORDER BY book_id ASC LIMIT $rowstart,$bpp");
	if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
	
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n";
	$result2 = dbquery("SELECT * FROM ".DB_DOC_INDEX." WHERE index_book = '".$data['book_id']."' ORDER BY index_order ASC");
	if (dbrows($result2) != 0) {
	
		$i = 0;
		echo "<tr>\n";
		echo "<th colspan='3'>".$data['book_name']."</th>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl2'><strong>".$locale['doc526']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['doc536']."</strong></td>\n";
		echo "<td class='tbl2' width='1%'><strong>".$locale['doc517']."</strong></td>\n";
		echo "</tr>\n";
		while ($data2 = dbarray($result2)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
            echo "<td  class='$cell_color'>".$data2['index_name']."</td>\n";
            echo "<td  class='$cell_color' align='center' width='1%'>".$data2['index_order']."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;index_id=".$data2['index_id']."'>".$locale['doc505']."</a>\n";
			$check_index = dbcount("(doc_id)", DB_DOC_DOCS, "doc_index='".$data2['index_id']."'");	
			if (!$check_index) {
			echo "&nbsp;-&nbsp<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;index_id=".$data2['index_id']."' onclick='return DeleteChapter();' />".$locale['doc506']."</a></td>\n";
			} else { echo " - <del>".$locale['doc506']."</del>\n";
		 }
			echo "</tr>\n";
			$i++;
		}
		echo "<tr>\n<td align='right' class='tbl2'><small>".$locale['doc550']."</small></td>\n";
		echo "<td align='center' class='tbl2'><a href='".FUSION_SELF.$aidlink."&amp;action=refresh&amp;index_book=".$data['book_id']."'>".$img_refresh."</a></td>\n<td class='tbl2'></td>\n";
		echo "</tr>\n</table>\n";
		echo "<hr width='80%' />";
	   } else {
		echo "<tr><td class='tbl1'><strong>".$data['book_name']."</strong> - ".$locale['doc510']."</td></tr>\n</table>\n";
		echo "<hr width='80%' />";
	    }
	   }
	 }
	closetable();
	
		echo "<script type='text/javascript'>\n";
		echo "/* <![CDATA[ */\n";
		echo "function DeleteChapter() {\n";
		echo "return confirm('".$locale['doc551']."');\n}\n";
		echo "/* ]]>*/\n";
		echo "</script>\n";
}
if ($count_book > $bpp) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$bpp,$count_book,3,FUSION_SELF.$aidlink."&amp;")."</div>"; }
include DOC_SYS_INC."footer_include.php";
require_once THEMES."templates/footer.php";
?>