<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: documentation_system_settings.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."documentation_system/includes/inc.php";

if (!checkrights("DOCS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

add_to_title($locale['global_200'].$locale['doc500']);

include INFUSIONS."documentation_system/includes/admin_nav.php";

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
		$message = $locale['doc503'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div>\n</div>\n"; }
}
if ((isset($_POST['savesettings'])) && (isnum($_POST['stgs_img_size'])) && (isnum($_POST['stgs_bpp']))) {

$update = dbquery("UPDATE ".DB_DOC_STGS." SET 
                   stgs_onf='".stripinput($_POST['stgs_onf'])."',
                   stgs_copy='".addslash($_POST['stgs_copy'])."',
                   stgs_update='".stripinput($userdata['user_id'])."',
                   stgs_update_date='".time()."',
                   stgs_img_size='".stripinput($_POST['stgs_img_size'])."',
                   stgs_img_w='".stripinput($_POST['stgs_img_w'])."',
                   stgs_img_h='".stripinput($_POST['stgs_img_h'])."',
                   stgs_snippet='".stripinput($_POST['stgs_snippet'])."',
                   stgs_bpp='".stripinput($_POST['stgs_bpp'])."',
                   stgs_cpp='".stripinput($_POST['stgs_cpp'])."',
                   stgs_aepp='".stripinput($_POST['stgs_aepp'])."'
                   ");             
                   
	redirect(FUSION_SELF.$aidlink."&status=su");
}

$get_user = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$doc_globalsettings['stgs_update']."'"));

opentable($locale['doc500']);

echo "<div align='center' class='tbl'>".$locale['doc528'].profile_link($doc_globalsettings['stgs_update'], $get_user['user_name'], $get_user['user_status']).$locale['global_200'].strftime('%d/%m/%Y %H:%M', $doc_globalsettings['stgs_update_date']+($settings['timeoffset']*3600))."</div>\n";

  echo "<form name='savesettings' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
  echo "<th class='tbl2' colspan='2'><b>".$locale['doc529']."</b></th>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' align='right'>".$locale['doc531'].":</td>";
  echo "<td class='tbl1' valign='top'>";
  echo "<label><select name='stgs_onf' class='textbox'>\n";
  echo "<option value='0'(".($doc_globalsettings['stgs_onf'] == '0' ? " selected" : "").">".$locale['doc532']."</option>\n";
  echo "<option value='1'(".($doc_globalsettings['stgs_onf'] == '1' ? " selected" : "").">".$locale['doc533']."</option>\n";
  echo "</select></label></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' align='right'>".$locale['doc545'].":</td>";
  echo "<td class='tbl1' valign='top'>";
  echo "<label><select name='stgs_snippet' class='textbox'>\n";
  echo "<option value='1'(".($doc_globalsettings['stgs_snippet'] == '1' ? " selected" : "").">".$locale['doc532']."</option>\n";
  echo "<option value='0'(".($doc_globalsettings['stgs_snippet'] == '0' ? " selected" : "").">".$locale['doc533']."</option>\n";
  echo "</select></label></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' align='right'>".$locale['doc548'].":</td>";
  echo "<td class='tbl1' valign='top'><label><input type='text' name='stgs_bpp' maxlength='5' value='".$doc_globalsettings['stgs_bpp']."' class='textbox' style='width:30px;' /></label></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' align='right'>".$locale['doc549'].":</td>";
  echo "<td class='tbl1' valign='top'><label><input type='text' name='stgs_cpp' maxlength='5' value='".$doc_globalsettings['stgs_cpp']."' class='textbox' style='width:30px;' /></label></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' align='right'>".$locale['doc555'].":</td>";
  echo "<td class='tbl1' valign='top'><label><input type='text' name='stgs_aepp' maxlength='5' value='".$doc_globalsettings['stgs_aepp']."' class='textbox' style='width:30px;' /></label></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' align='right'>".$locale['doc108'].":</td>";
  echo "<td class='tbl2'>";
  echo "<label><input type='text' name='stgs_img_size' value='".$doc_globalsettings['stgs_img_size']."' class='textbox' style='width:60px;' /></label> = \n";
  echo parsebytesize($doc_globalsettings['stgs_img_size'])."</td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' align='right'>".$locale['doc111']."</td>\n";
  echo "<td class='tbl2'>".$locale['doc109']."<label><input type='text' maxlength='5' name='stgs_img_w' value='".$doc_globalsettings['stgs_img_w']."' class='textbox' style='width:30px;' /></label>\n";
  echo $locale['doc110']."<label><input type='text' maxlength='5' name='stgs_img_h' value='".$doc_globalsettings['stgs_img_h']."' class='textbox' style='width:30px;' /></label>\n</td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl' valign='top' align='right'>".$locale['doc534'].":<br /><i>".$locale['doc535']."</i></td>\n";
  echo "<td class='tbl' valign='top'><textarea name='stgs_copy' rows='2' class='textbox' style='width:300px;'>".$doc_globalsettings['stgs_copy']."</textarea></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td colspan='2' align='center'>\n";
  echo "<br /><input type='submit' name='savesettings' value='".$locale['doc509']."' class='button'>\n";
  echo "</td>\n</tr>\n</table>\n</form>\n";

closetable();
include DOC_SYS_INC."footer_include.php";

     $version = $_DOC_SYS_VERSION;
     echo "<!-- Version Checker 2.0.0 @ http://version.starefossen.com - Copyright Starefossen 2007-2011 -->";
     echo "<br /><center><script type='text/javascript' src='http://version.starefossen.com/infusions/version_updater/checker/js.php?ps=ucont&amp;v=".$version."'></script></center><br />\n";
     echo "<noscript><a href='http://version.starefossen.com/' target='_blank'><strong>JavaScript disabled:</strong> Check version manually!</a></noscript>";
     
require_once THEMES."templates/footer.php";
?>