<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: document.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."documentation_system/includes/inc.php";

if (!iADMIN && $doc_globalsettings['stgs_onf']) { redirect("../../index.php"); }

add_to_title($locale['global_200'].$locale['doc001']);

if (!isset($_GET['index_id']) || !isnum($_GET['index_id'])) { redirect("index.php"); } 

if (isset($_GET['index_id']) && isnum($_GET['index_id']))  {

if (iMEMBER) {
if ((isset($_GET['action']) && $_GET['action'] == "addfav") && (isset($_GET['index_id']) && isnum($_GET['index_id']))) {
	$result = dbquery("INSERT INTO ".DB_DOC_FAVS." (fav_doc, fav_user) VALUES ('".$_GET['index_id']."', '".$userdata['user_id']."')");
		redirect(DOC_SYS."document.php?index_id=".$_GET['index_id']);
  } elseif ((isset($_GET['action']) && $_GET['action'] == "remfav") && (isset($_GET['index_id']) && isnum($_GET['index_id']))) {
  $get_favid = dbarray(dbquery("SELECT fav_id FROM ".DB_DOC_FAVS." WHERE fav_doc='".$_GET['index_id']."' AND fav_user = '".$userdata['user_id']."'"));
	$result = dbquery("DELETE FROM ".DB_DOC_FAVS." WHERE fav_id='".$get_favid['fav_id']."'");
		redirect(DOC_SYS."document.php?index_id=".$_GET['index_id']);
  }
}

$index_id = $_GET['index_id'];
$result = dbquery("UPDATE ".DB_DOC_DOCS." SET doc_views = doc_views+1 WHERE doc_index='".$index_id."'");
$index = dbarray(dbquery("SELECT index_id, index_book, index_name FROM ".DB_DOC_INDEX." WHERE index_id = '".$index_id."'"));
$book = dbarray(dbquery("SELECT book_name FROM ".DB_DOC_BOOK." WHERE book_id = '".$index['index_book']."'"));
opentable("<strong>".$book['book_name']."</strong>");
     	echo "<h2>".strtoupper($index['index_name'])."</h2>\n";

      $result = dbquery("SELECT 
                             d.doc_book, 
                             d.doc_index, 
                             d.doc_text, 
                             d.doc_tags, 
                             d.doc_version,   
                             i.index_id, 
                             i.index_name 
                             FROM ".DB_DOC_DOCS." d 
                             LEFT JOIN ".DB_DOC_INDEX." i 
                             ON d.doc_book = i.index_book 
                             WHERE d.doc_index = '".$index_id."'
                             LIMIT 1
                             ");                  
                              
	if (dbrows($result)) {
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n<tr>\n";
	while ($data = dbarray($result)) {
		echo "<tr><td  class='tbl1'>".stripslashes($data['doc_text'])."</td>\n</tr>\n";
		if ($data['doc_tags']) {
        echo "<tr>\n<td  class='tbl1'><small>".$locale['doc200'].":</small>&nbsp;";
		$tags = explode(", ", $data['doc_tags']);
		foreach ($tags as $value) {
			echo "<a href='".DOC_SYS."tags.php?taglist=".$value."' title='".$locale['doc201'].$value."' class='side'><small>".$value."</small></a>&nbsp;\n";
		   }
		   echo "<span style='float:right;'>\n";
			 echo "<form name='tagsearch' id='tagsearch' method='post' action='".DOC_SYS."tags.php'>\n";
			  echo "<small>".$locale['doc015']." ".$locale['doc200']."</small>\n";
			  echo "<label><input type='textbox' name='taglist' class='textbox' maxlength='15' style='width:120px;' /></label>\n";
			  echo "<input type='image' id='tagsearch' src='".DOC_SYS_IMG."img/search.png' alt='".$locale['doc015']."' name='".$locale['doc015']."' value='' />\n";
			 echo "</form>\n</span>\n";
		   echo "</td></tr>\n";
	    }
	  }
	   echo "</table>\n";

				if ($doc_globalsettings['stgs_copy']) {
		echo "<div class='tbl'><center><hr width='80%' />".stripslashes($doc_globalsettings['stgs_copy'])."</center></div>\n";
	   }
	 } else {
	echo "<br />\n<div align='center'>".$locale['doc009']."</div>\n";
  }
closetable();
nav_links($index_id);
if (iADMIN && checkrights("DOCS")) { admin_footer($index_id); }
echo "<div class='clearfix'>&nbsp;</div>\n";
}

require_once THEMES."templates/footer.php";
?>