<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."documentation_system/includes/inc.php";

add_to_title($locale['global_200'].$locale['doc001']);

if (!iADMIN && $doc_globalsettings['stgs_onf']) { redirect("../../index.php"); }
if (!isset($_GET['book_id']) || !isnum($_GET['book_id'])) {
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) { $rowstart = $_GET['rowstart']; } else { $rowstart = 0; }
$count_books = dbcount("(book_id)", DB_DOC_BOOK);

opentable($locale['doc001'].$locale['global_200'].$locale['doc005']);

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='center'>\n<tr>\n";
		
		$result = dbquery("SELECT 
		                          book_id, 
		                          book_name, 
		                          book_version, 
		                          book_description 
		                          FROM ".DB_DOC_BOOK." 
		                          ORDER BY book_id ASC 
		                          LIMIT $rowstart,$bpp
		                          ");
		if (dbrows($result)) {
		$i = 0;
		while ($data = dbarray($result)) {
		$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
	 echo "<tr><td class='$cell_color'><a href='".FUSION_SELF."?book_id=".$data['book_id']."'><h2>".strtoupper($data['book_name'])."</h2></a></td></tr>\n";
	 echo "<tr><td class='$cell_color'>".stripslashes($data['book_description']);
	 echo "<span style='float:right;'><small>".($data['book_version'] =='' ? "" : "v".$data['book_version'])."</small></span>\n";
	 echo "</td></tr>\n";
	 echo "<tr><td class='$cell_color'><hr width='80%' /></td></tr>\n";
	 $i++;
	   }
	 } else { echo $locale['doc522'];
   }

	echo "</table>\n";
	
closetable();
	if ($count_books > $bpp) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$bpp,$count_books,3,FUSION_SELF."?")."</div>"; }

} elseif (isset($_GET['book_id']) && isnum($_GET['book_id']))  {
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) { $rowstart = $_GET['rowstart']; } else { $rowstart = 0; }
opentable($locale['doc001']);
$book_id = $_GET['book_id'];
$count_chapters = dbcount("(doc_id)", DB_DOC_DOCS, "doc_book='".$book_id."'");
$book = dbarray(dbquery("SELECT book_id, book_name FROM ".DB_DOC_BOOK." WHERE book_id = '".$book_id."'"));
     	echo "<span style='float:right;'><a href='".DOC_SYS."index.php'>".$img_list."</a>\n</span>\n";
     	echo "<h2>".strtoupper($book['book_name'])."</h2>\n";
                           
   $result = dbquery("SELECT 
                             i.index_id, 
                             i.index_name,  
                             d.doc_index, 
                             d.doc_snippet 
                             FROM ".DB_DOC_DOCS." d 
                             LEFT JOIN ".DB_DOC_INDEX." i 
                             ON i.index_book = '".$book['book_id']."'  
                             WHERE i.index_id = d.doc_index 
                             ORDER BY i.index_order 
                             ASC LIMIT $rowstart,$cpp
                             ");

	if (dbrows($result)) {
	$i = 0; $ch = $rowstart+1;
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n<tr>\n";
	echo "<td colspan='2' class='tbl2'><strong>".$locale['doc006']."</strong></td>\n</tr>\n";
	while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			$fav_doc = dbarray(dbquery("SELECT fav_doc, fav_user FROM ".DB_DOC_FAVS." WHERE fav_doc='".$data['index_id']."'"));
			if ($fav_doc['fav_user'] == $userdata['user_id']) { $fav = $img_favorite; } else { $fav = ""; }
			echo "<tr><td width='1%' class='$cell_color'>".$fav."</td>\n";
			echo "<td width='120' class='$cell_color'><h4>".$locale['doc526']." ".$ch."</h4></td>\n";
			echo "<td class='$cell_color'><a href='".DOC_SYS."document.php?index_id=".$data['index_id']."'><strong>".$data['index_name']."</strong></a></td>\n</tr>\n";
			if ($doc_globalsettings['stgs_snippet']) {
			echo "<tr><td colspan='3' class='$cell_color'>".stripslashes($data['doc_snippet'])."</td>\n</tr>\n";
			}
			$i++; $ch++;
		}
		echo "</table>\n";
		if ($doc_globalsettings['stgs_copy']) {
		echo "<div class='tbl'><center><hr width='80%' />".stripslashes($doc_globalsettings['stgs_copy'])."</center></div>\n";
	   }
	}
closetable(); 
	if ($count_chapters > $cpp) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$cpp,$count_chapters,3,FUSION_SELF."?book_id=".$book_id."&amp;")."</div>"; }
 }
 

require_once THEMES."templates/footer.php";
?>