<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: documentation_system_admin.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include INFUSIONS."documentation_system/includes/inc.php";

if (!checkrights("DOCS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

//if ($settings['tinymce_enabled'] == 1) {
//	echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
//} else {
	require_once DOC_SYS_INC."html_buttons_include.php";
//}

add_to_title($locale['global_200'].$locale['doc500']);
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) { $rowstart = $_GET['rowstart']; } else { $rowstart = 0; }
if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['doc501'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['doc503'];
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['doc504'];
	} elseif ($_GET['status'] == "err") {
		$message = $req.$locale['doc203'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div>\n</div>\n"; }
}
include INFUSIONS."documentation_system/includes/admin_nav.php";

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
	$result = dbquery("DELETE FROM ".DB_DOC_BOOK." WHERE book_id='".$_GET['book_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	} else {
	if (isset($_POST['save_cat'])) {
		$book_name = stripinput($_POST['book_name']);
		$book_user = stripinput($userdata['user_id']);
		$book_description = addslash($_POST['book_description']);
		$book_version = stripinput($_POST['book_version']);
		
		if ($book_name && $book_description) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
				$result = dbquery("UPDATE ".DB_DOC_BOOK." SET book_name='$book_name', book_description='$book_description', book_version='$book_version' WHERE book_id='".$_GET['book_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_DOC_BOOK." (book_name, book_user, book_description, book_version, book_datestamp) VALUES ('$book_name', '$book_user', '$book_description', '$book_version', '".time()."')");
			
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&status=err");
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
		$result = dbquery("SELECT * FROM ".DB_DOC_BOOK." WHERE book_id='".$_GET['book_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$book_name = $data['book_name'];
			$book_user = $data['book_user'];
			$book_description = stripslashes($data['book_description']);
			$book_version = stripslashes($data['book_version']);

			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;book_id=".$data['book_id'];
			opentable($locale['doc505']);
		} else {
			 redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$book_name = "";
		$book_user = "";
		$book_description = "";
		$book_version = "";
		$book_datestamp = "";

		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['doc524']);
	}

	echo "<form name='inputform' method='post' action='$formaction'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='600' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$req." ".$locale['doc520']." ".$locale['doc507']."</td>\n";
	echo "<td class='tbl'><input type='text' name='book_name' value='".$book_name."' class='textbox' style='width:300px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap' valign='top'>".$req." ".$locale['doc508']."</td>\n";
	echo "<td class='tbl'><textarea name='book_description' rows='8' class='textbox' style='width:98%;'>".$book_description."</textarea></td>\n";
	echo "</tr>\n";
//	if ($settings['tinymce_enabled'] != 1) {
	echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>".display_buttons("inputform", "book_description", true, true, true, DOC_SYS_IMG)."</td>\n</tr>\n";
//		}
	echo "<tr>\n";
	echo "<td class='tbl' width='100'>".$locale['doc530'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='book_version' maxlength='20' value='".$book_version."' class='textbox' style='width:50' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'><input type='submit' name='save_cat' value='".$locale['doc509']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['doc523']);
	$count_book = dbcount("(book_id)", DB_DOC_BOOK);
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n";
	$result = dbquery("SELECT * FROM ".DB_DOC_BOOK." INNER JOIN ".DB_USERS." WHERE book_user = user_id ORDER BY book_id ASC LIMIT $rowstart,$aepp");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td class='tbl2' colspan='2'><strong>".$locale['doc511']."</strong></td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
            echo "<td  class='$cell_color' style='white-space:nowrap'><strong>".$data['book_name']."</strong> ".($data['book_version'] =='' ? $locale['doc554'] : "v".$data['book_version'])."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;book_id=".$data['book_id']."'>".$locale['doc505']."</a>\n";
			$check_cats = dbcount("(index_id)", DB_DOC_INDEX, "index_book='".$data['book_id']."'");	
			if (!$check_cats) {
			echo "&nbsp;-&nbsp<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;book_id=".$data['book_id']."' onclick='return DeleteBook();' />".$locale['doc506']."</a>\n";
			} else { echo " - <del>".$locale['doc506']."</del>\n";
		 }
			
			echo "</td>\n</tr>\n<tr>\n";
			echo "<td class='$cell_color' colspan='2' style='white-space:nowrap'>".$locale['doc521'].": ".profile_link($data['book_user'], $data['user_name'], $data['user_status'])." ".strftime($settings['shortdate'], $data['book_datestamp']+($settings['timeoffset']*3600))."</td>";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['doc522']."</td></tr>\n</table>\n";
	}
	closetable();
	
		echo "<script type='text/javascript'>\n";
		echo "/* <![CDATA[ */\n";
		echo "function DeleteBook() {\n";
		echo "return confirm('".$locale['doc552']."');\n}\n";
		echo "/* ]]>*/\n";
		echo "</script>\n";
}

if ($count_book > $aepp) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$aepp,$count_book,3,FUSION_SELF.$aidlink."&amp;")."</div>"; }
include DOC_SYS_INC."footer_include.php";
require_once THEMES."templates/footer.php";
?>