<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: dupload_image_admin.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."documentation_system/includes/inc.php";
require_once INCLUDES."infusions_include.php";
//require_once INCLUDES."photo_functions_include.php";

if (!checkrights("DOCS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
add_to_title($locale['global_200'].$locale['doc500']);
         
include INFUSIONS."documentation_system/includes/admin_nav.php";

if ((isset($_GET['del']) && (isset($_GET['action']) && $_GET['action'] == "delete"))) {
if (file_exists(DOC_SYS_IMG.$_GET['del'])) {
			@unlink(DOC_SYS_IMG.$_GET['del']);
			}
	redirect(FUSION_SELF.$aidlink);
 } elseif (isset($_POST['upload_image'])) {
          
          $image = "image_file";
		  $name = $_FILES['image_file']['name'];
          $folder = DOC_SYS_IMG;
          $width = $doc_globalsettings['stgs_img_w'];
          $height = $doc_globalsettings['stgs_img_h'];
          $size = $doc_globalsettings['stgs_img_size'];
          $upload = upload_image($image, $name, $folder, $width, $height, $size);
          chmod($folder.$image, 0644);
          
        opentable($locale['doc537']); 
          
          if ($upload['error'] == 1) { $message = $locale['doc101']; 
          } elseif ($upload['error'] == 2) { $message = $locale['doc102']; 
          } elseif ($upload['error'] == 3) { $message = $locale['doc103']; 
          } elseif ($upload['error'] == 4) { $message = $locale['doc104']; 
          } else { $message = $locale['doc105']; }
          
          if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div>\n</div>\n"; }
          
          echo "<br />\n<center>\n<a href='".FUSION_SELF.$aidlink."'><button>".$locale['doc541']."</button></a>\n</center>\n<br />\n";
          
      closetable();
          	
	} else {
		$opts = "";

		opentable($locale['doc537']);

			echo "<form name='submit_form' method='post' action='".FUSION_SELF.$aidlink."' enctype='multipart/form-data' onsubmit='return validatePhoto(this);'>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td valign='top' class='tbl'>".$locale['doc515'].$locale['doc538']."</td>\n";
			echo "<td class='tbl'><label><input type='file' name='image_file' class='textbox' style='width:350px;' /><br /><br />\n";
			echo "<span class='small2'>".sprintf($locale['doc539'], parsebytesize($doc_globalsettings['stgs_img_size']), $doc_globalsettings['stgs_img_w'], $doc_globalsettings['stgs_img_h'])."</span></label></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'><br />\n";
			echo "<input type='submit' name='upload_image' value='".$locale['doc540']."' class='button' />\n</td>\n";
			echo "</tr>\n</table>\n</form>\n";

		closetable();
		
		opentable($locale['doc106']);
		
		$image_list = makefilelist(DOC_SYS_IMG, ".|..|index.php", true);
		if ($image_list) {
		$image_count = count($image_list); 
		} else { 
		$image_count = 0; 
		}
		
		if ($image_list) {
		        echo "<table cellpadding='0' cellspacing='0' class='center'>\n";
			for ($i=0; $i < $image_count; $i++) {
				if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
				echo "<tr><td class='".$row_color."'>".$image_list[$i]."</td>\n";
				echo "<td align='right' width='1%' class='".$row_color."' style='white-space:nowrap'>\n";
				echo "<a target='_blank' href='".DOC_SYS_IMG.$image_list[$i]."'>".$locale['doc107']."</a> -\n";
				echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;del=".$image_list[$i]."' onclick=\"return confirm('".$locale['doc506']." ".$image_list[$i]."?');\">".$locale['doc506']."</a></td>\n";				
				echo "</tr>\n";
			 }
			echo "</table>\n";
		  } else { echo "<br />\n<div align='center'>".$locale['doc542']."</div>\n<br />\n";
		}
		closetable();	
	}
	
include DOC_SYS_INC."footer_include.php";
require_once THEMES."templates/footer.php";
?>