<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: inc.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// General Definitions
define("DOC_SYS", INFUSIONS."documentation_system/");
define("DOC_SYS_ADMIN", DOC_SYS."admin/");
define("DOC_SYS_INC", DOC_SYS."includes/");
define("DOC_SYS_IMG", DOC_SYS."images/");
require_once DOC_SYS."infusion_db.php";
if (file_exists(DOC_SYS."locale/".$settings['locale'].".php")) {
include DOC_SYS."locale/".$settings['locale'].".php"; 
 } else { 
include DOC_SYS."locale/English.php"; }

// Documentation System Version
$data_v = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_title='".$locale['doc001']."'"));
$_DOC_SYS_VERSION = $data_v['inf_version'];

// Global Settings
$doc_globalsettings = dbarray(dbquery("SELECT * FROM ".DB_DOC_STGS));
$bpp = $doc_globalsettings['stgs_bpp'];
$cpp = $doc_globalsettings['stgs_cpp'];
$aepp = $doc_globalsettings['stgs_aepp'];

// Global Variables
$img_toc = "<img src='".DOC_SYS_IMG."img/toc.png' border='0' alt='".$locale['doc006']."' title='".$locale['doc006']."' style='vertical-align:middle' />\n";
$img_list = "<img src='".DOC_SYS_IMG."img/go_list.png' border='0' alt='".$locale['doc005']."' title='".$locale['doc005']."' style='vertical-align:middle' />\n";
$img_edit = "<img src='".DOC_SYS_IMG."img/edit_document.png' border='0' alt='".$locale['doc013']."' title='".$locale['doc013']."' style='vertical-align:middle' />\n";
$img_refresh = "<img src='".DOC_SYS_IMG."img/refresh.png' border='0' alt='".$locale['doc550']."' title='".$locale['doc550']."' style='vertical-align:middle' />\n";
$img_back = "<img src='".DOC_SYS_IMG."img/back.png' border='0' alt='".$locale['doc016']."' title='".$locale['doc016']."' style='vertical-align:middle' />\n";
$img_favorite = "<img src='".DOC_SYS_IMG."img/favorite.png' border='0' alt='".$locale['doc020']."' title='".$locale['doc021']."' style='vertical-align:middle' />\n";
$img_unfavorite = "<img src='".DOC_SYS_IMG."img/unfavorite.png' border='0' alt='".$locale['doc020']."' title='".$locale['doc019']."' style='vertical-align:middle' />\n";
$req = "<span style='color:#FF0000;'><strong>*</strong></span>\n";

function nav_links($index_id) {
global $settings, $locale, $userdata, $img_toc, $img_list, $img_favorite, $img_unfavorite;
  $toc = dbarray(dbquery("SELECT doc_id, doc_book FROM ".DB_DOC_DOCS." WHERE doc_index = '".$_GET['index_id']."'"));
  $index_list = "";

   $result = dbquery("SELECT  
                             index_id, 
                             index_book, 
                             index_name, 
                             index_order  
                             FROM ".DB_DOC_INDEX." 
                             WHERE index_book = '".$toc['doc_book']."'
                             ORDER BY index_order 
                             ASC
                             ");          

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border center'>\n<tr>\n";
	echo "<td width='1%' class='tbl1'><a href='".DOC_SYS."index.php'>".$img_list."</a>\n</td>\n";
	echo "<td width='1%' class='tbl1'><a href='".DOC_SYS."index.php?book_id=".$toc['doc_book']."'>".$img_toc."</a>\n</td>\n";
	if (iMEMBER) {
	echo "<td width='1%' class='tbl1'>\n";
$fav_doc = dbarray(dbquery("SELECT fav_doc, fav_user FROM ".DB_DOC_FAVS." WHERE fav_doc='".$_GET['index_id']."'"));
  if ($fav_doc['fav_user'] == $userdata['user_id']) { 
  echo "<a href='".FUSION_SELF."?index_id=".$_GET['index_id']."&amp;action=remfav'>".$img_favorite."</a>\n";
  } else {
  echo "<a href='".FUSION_SELF."?index_id=".$_GET['index_id']."&amp;action=addfav'>".$img_unfavorite."</a>\n";
     }

    echo "</td>\n";
    echo "<td class='tbl1'><a href='".DOC_SYS."favourites.php'><button>".$locale['doc022']."</button></a></td>\n"; 
    }
    
	 if (dbrows($result)) { 
	 echo "<td class='tbl1' align='right'>\n";
	while ($data = dbarray($result)) {
	$sel = ($data['index_id'] == $index_id ? " selected='selected'" : "");
	$index_list .= "<option value='".$data['index_id']."'$sel>".$data['index_name']."</option>\n";
	       }
	echo "<small>".$locale['doc014'].":</small>&nbsp;\n";
	echo "<select name='jump_id' class='textbox' onchange=\"jumplist(this.options[this.selectedIndex].value);\">";
	echo $index_list."</select>\n";
        }
    echo "</td>\n";
    echo "<td width='1%' class='tbl1'><a href='".DOC_SYS."print.php?index_id=".$_GET['index_id']."'><img src='".DOC_SYS_IMG."img/printer.png' alt='".$locale['doc010']."' title='".$locale['doc010']."' style='border:0;vertical-align:middle' /></a>\n</td>\n";
      echo "</tr></table>\n";
      echo "<script type='text/javascript'>\n"."function jumplist(indexid) {\n";
      echo "document.location.href='".DOC_SYS."document.php?index_id='+indexid;\n}\n";
      echo "</script>\n";
}

function admin_footer($index_id) {
global $settings, $locale, $aidlink, $img_edit;

    $result = dbquery("SELECT  
                             doc_id,
                             doc_user,  
                             doc_views,
                             doc_datestamp, 
                             doc_update_user, 
                             doc_updatestamp,  
                             doc_version    
                             FROM ".DB_DOC_DOCS." 
                             WHERE doc_index = '".$_GET['index_id']."'
                             ");            
	 
	 if (dbrows($result)) { 
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border center'>\n<tr>\n";

	while ($data = dbarray($result)) {
	echo "<td class='tbl2'>".$locale['doc012']." ".$locale['doc011'].": ".($data['doc_views'] =='' ? "0" : $data['doc_views'])."</td>\n";
	echo "<td class='tbl2'>".($data['doc_version'] =='' ? "" : $locale['doc546'].": ".$data['doc_version'])."</td>\n";
	$check_user = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['doc_user']."'"));
	echo "<td class='tbl2'>".$locale['doc521'].": ".profile_link($data['doc_user'], $check_user['user_name'], $check_user['user_status']).$locale['global_200'].strftime($settings['shortdate'], $data['doc_datestamp']+($settings['timeoffset']*3600))."</td>\n";
	 if ($data['doc_updatestamp']) {
     $check_editor = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['doc_update_user']."'"));
	 echo "<td class='tbl2' style='white-space:nowrap'>".$locale['doc018'].": ".profile_link($data['doc_update_user'], $check_editor['user_name'], $check_editor['user_status']).$locale['global_200'].strftime($settings['shortdate'], $data['doc_updatestamp']+($settings['timeoffset']*3600))."</td>";
	        }
	echo "<td width='1%' class='tbl2' align='right'><a href='".DOC_SYS_ADMIN."documentation_system_docs.php".$aidlink."&amp;action=edit&amp;doc_id=".$data['doc_id']."'>".$img_edit."</a></td>\n";       
	    }   
     }
    echo "</tr>\n</table>\n";
}

?>