<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."documentation_system/infusion_db.php";

if (file_exists(INFUSIONS."documentation_system/locale/".$settings['locale'].".php")) {
	include INFUSIONS."documentation_system/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."documentation_system/locale/English.php";
}

$inf_title = $locale['doc001'];
$inf_description = $locale['doc002'];
$inf_version = "1.0.0";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://php-fusion.co.uk/";

$inf_folder = "documentation_system";

$inf_newtable[1] = DB_DOC_BOOK." (
book_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
book_name VARCHAR(200) DEFAULT '' NOT NULL,
book_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
book_description TEXT NOT NULL,
book_version VARCHAR(50) DEFAULT '' NOT NULL,
book_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (book_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_DOC_INDEX." (
index_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
index_book MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
index_name VARCHAR(200) DEFAULT '' NOT NULL,
index_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (index_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_DOC_DOCS." (
doc_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
doc_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
doc_book MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
doc_index MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
doc_snippet TEXT NOT NULL,
doc_text TEXT NOT NULL,
doc_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
doc_update_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
doc_updatestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
doc_tags TEXT NOT NULL,
doc_views MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
doc_version VARCHAR(50) DEFAULT '' NOT NULL,
PRIMARY KEY (doc_id)
) TYPE=MyISAM;";

$inf_newtable[4] = DB_DOC_STGS." (
stgs_onf TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
stgs_copy TEXT NOT NULL,
stgs_update MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
stgs_update_date INT(10) UNSIGNED DEFAULT '0' NOT NULL,
stgs_img_size MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
stgs_img_w MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
stgs_img_h MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
stgs_snippet TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
stgs_bpp MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
stgs_cpp MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
stgs_aepp MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (stgs_onf)
) TYPE=MyISAM;";

$inf_newtable[5] = DB_DOC_FAVS." (
fav_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
fav_doc MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
fav_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (fav_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_DOC_STGS." (stgs_onf, stgs_copy, stgs_update, stgs_update_date, stgs_img_size, stgs_img_w, stgs_img_h, stgs_snippet, stgs_bpp, stgs_cpp, stgs_aepp) 
VALUES ('0', '', '".$userdata['user_id']."', '".time()."', '512000', '800', '600', '0', '5', '10', '20')";

$inf_droptable[1] = DB_DOC_BOOK;
$inf_droptable[2] = DB_DOC_INDEX;
$inf_droptable[3] = DB_DOC_DOCS;
$inf_droptable[4] = DB_DOC_STGS;
$inf_droptable[5] = DB_DOC_FAVS;

$inf_adminpanel[1] = array(
	"title" => $locale['doc500'],
	"image" => "docs.png",
	"panel" => "admin/documentation_system_book.php",
	"rights" => "DOCS"
);

?>