<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: print.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
include LOCALE.LOCALESET."print.php";
include INFUSIONS."documentation_system/includes/inc.php";

if ($settings['maintenance'] == "1" && ((iMEMBER && $settings['maintenance_level'] == "1" && $userdata['user_id'] != "1") || ($settings['maintenance_level'] > $userdata['user_level']))) { redirect(BASEDIR."maintenance.php"); }
if (iMEMBER) { $result = dbquery("UPDATE ".DB_USERS." SET user_lastvisit='".time()."', user_ip='".USER_IP."', user_ip_type='".USER_IP_TYPE."' WHERE user_id='".$userdata['user_id']."'"); }

echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n<title>".$settings['sitename']."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<style type='text/css'>
	* { background: transparent !important; color: #444 !important; text-shadow: none; }
	body { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:14px; }
	hr { display:block; height:1px; border:0; border-top:1px solid #ccc; margin:1em 0; padding:0; }
	.small { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:12px; }
	.small2 { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:12px;color:#666; }
	a, a:visited { color: #444 !important; text-decoration: underline; }
	a:after { content: ' (' attr(href) ')'; }
	abbr:after { content: ' (' attr(title) ')'; }
	pre, blockquote { border: 1px solid #999; page-break-inside: avoid; }
	img { page-break-inside: avoid; }
	@page { margin: 0.5cm; }
	p, h2, h3 { orphans: 3; widows: 3; }
	h2, h3 { page-break-after: avoid; }
</style>\n";
echo "</head>\n<body>\n";

if (isset($_REQUEST['index_id']) && isnum($_REQUEST['index_id'])) {
$index_id = $_REQUEST['index_id'];

$index = dbarray(dbquery("SELECT index_id, index_book, index_name FROM ".DB_DOC_INDEX." WHERE index_id = '".$index_id."'"));
$book = dbarray(dbquery("SELECT book_name FROM ".DB_DOC_BOOK." WHERE book_id = '".$index['index_book']."'"));

echo "<h2>".strtoupper($book['book_name'])."</h2>\n";
echo "<h3>".strtoupper($index['index_name'])."</h3>\n";
	  
	  $result = dbquery("SELECT 
                             d.doc_book, 
                             d.doc_index, 
                             d.doc_text,  
                             i.index_id, 
                             i.index_name 
                             FROM ".DB_DOC_DOCS." d 
                             LEFT JOIN ".DB_DOC_INDEX." i 
                             ON d.doc_book = i.index_book 
                             WHERE d.doc_index = '".$index_id."'
                             LIMIT 1
                             ");
	if (dbrows($result)) {
	echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
	while ($data = dbarray($result)) {
			echo "<tr><td>".stripslashes($data['doc_text'])."</td>\n</tr>\n";
		}
		echo "</table>\n";
		if ($doc_globalsettings['stgs_copy']) {
		echo "<br />\n<div align='center'>".stripslashes($doc_globalsettings['stgs_copy'])."</div>\n";
	   }
	 } 
   }

echo "</body>\n</html>\n";

if (ob_get_length() !== FALSE){
	ob_end_flush();
}

mysql_close($db_connect);
?>